# IAX2FullFrameDtmf Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameDtmf:

[legend]
Collaboration diagram for IAX2FullFrameDtmf:
[legend]

## Public Types

| dtmf0 = 48
| dtmf1 = 49
| dtmf2 = 50
| dtmf3 = 51
| dtmf4 = 52
| dtmf5 = 53
| dtmf6 = 54
| dtmf7 = 55
| dtmf8 = 56
| dtmf9 = 57
| dtmfA = 65
| dtmfB = 66
| dtmfC = 67
| dtmfD = 68
| dtmfStar = 42
| dtmfHash = 35
enum | DtmfSc { dtmf0 = 48, dtmf1 = 49, dtmf2 = 50, dtmf3 = 51, dtmf4 = 52, dtmf5 = 53, dtmf6 = 54, dtmf7 = 55, dtmf8 = 56, dtmf9 = 57, dtmfA = 65, dtmfB = 66, dtmfC = 67, dtmfD = 68, dtmfStar = 42, dtmfHash = 35 }

## Public Member Functions

| IAX2FullFrameDtmf (const IAX2Frame &srcFrame)
| IAX2FullFrameDtmf (const IAX2FullFrame &srcFrame)
| IAX2FullFrameDtmf (IAX2Processor *processor, char subClassValue)
| IAX2FullFrameDtmf (IAX2Processor *processor, PString subClassValue)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Used for transmitting dtmf characters in a reliable fashion. One frame per dtmf character. No data is carried in the data section

## Member Enumeration Documentation

enum IAX2FullFrameDtmf::DtmfSc

enum comtaining the possible subclass value for these dtmf frames

Enumerator:

  dtmf0 | DTMF character 0
  dtmf1 | DTMF character 1
  dtmf2 | DTMF character 2
  dtmf3 | DTMF character 3
  dtmf4 | DTMF character 4
  dtmf5 | DTMF character 5
  dtmf6 | DTMF character 6
  dtmf7 | DTMF character 7
  dtmf8 | DTMF character 8
  dtmf9 | DTMF character 9
  dtmfA | DTMF character A
  dtmfB | DTMF character B
  dtmfC | DTMF character C
  dtmfD | DTMF character D
  dtmfStar | DTMF character *
  dtmfHash | DTMF character #

## Constructor & Destructor Documentation

IAX2FullFrameDtmf::IAX2FullFrameDtmf | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameDtmf::IAX2FullFrameDtmf | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameDtmf::IAX2FullFrameDtmf | ( | IAX2Processor * | processor,
|  | char | subClassValue |
| ) |  |  |

Construction from a Connection class. Classes generated from this are then on sent to a remote endpoint.

Parameters:

  processor | Iax Processor from which this frame originates
  subClassValue | IAX protocol command for remote end to process

IAX2FullFrameDtmf::IAX2FullFrameDtmf | ( | IAX2Processor * | processor,
|  | PString | subClassValue |
| ) |  |  |

Construction from a Connection class. Classes generated from this are then on sent to a remote endpoint.

Parameters:

  processor | Iax Processor from which this frame originates
  subClassValue | IAX protocol command for remote end to process

## Member Function Documentation

virtual BYTE IAX2FullFrameDtmf::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameDtmf::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h